Skip to content

List option values

View as Markdown
get /rest/api/product_options/{productOptionId}/option_values

Retrieves the collection of Option Value resources.

Returns the values of a given option, ordered by position. Set the X-Flowkiwi-Locale header to read translatable value strings in a given locale.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.
X-Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.
X-Flowkiwi-Locale-Fallbackboolean-Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used.

Path parameters

NameTypeRequiredDescription
productOptionIdstringrequiredProductOptionResource identifier

Query parameters

NameTypeRequiredDescription
order[createdAt]string-
order[updatedAt]string-

Response

200 - Option Value collection

PropertyTypeRequiredDescription
hydra:totalItemsinteger-
hydra:searchobject-
Show hydra:search fields
PropertyTypeRequiredDescription
@typestring-
hydra:templatestring-
hydra:variableRepresentationstring-
hydra:mappingobject[]-
Show hydra:mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
hydra:memberOption.Value[]required
Show hydra:member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-
valuestring | nullrequiredThis property supports translations.

The value of the option.
positioninteger | null-The position of the option value. Use -1 to put the option value at the end.
productOptionstringrequiredThe Product Option to which this option value belongs.
variantsstring[]-A list of Variant, each one representing a variant associated with the option value.
createdAtstring-The date and time when the resource was created (ISO 8601 format).
updatedAtstring-The date and time when the resource was last modified (ISO 8601 format).

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.